Page MenuHomePhabricator

Flow: Submitting 1 reply will delete any other reply-text-areas currently open in the same Topic
Closed, ResolvedPublic

Description

screenshot

If I have 2 (or more) reply areas open and with text in them, when I submit 1, the other should remain open.

Currently, if I compose 2 replies at once (see screenshot), and click "Reply" to save 1 of them, the other vanishes completely.

At minimum, I should get a warning that I'm going to lose unsaved changes. (I do have the preference checked, for "Warn me when I leave an edit page with unsaved changes"). But really it should just save the 1st post, and leave the 2nd open for further editing. It used to do this.


Version: unspecified
Severity: major

Attached:

Details

Reference
bz71072

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:58 AM
bzimport set Reference to bz71072.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Sep 19 2014, 9:15 PM
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
EBernhardson triaged this task as Low priority.Feb 19 2015, 6:46 PM

This only applies within the same topic. Its annoying to fix with the current architecture, marking this as low priority for now.

If it as annoying to fix it, maybe you can at least avoid multiple edit at all?
Thanks.

We might want to consider some sort of autosaving like phabricator does, it wont solve the issue but it will make the current experience better.

copy from merged bug:

  1. Go to a Flow board with some existing comments.
  2. Start writing a reply to one of them. Don't submit.
  3. Start writing a reply to another. Submit it.

Observed: The first comment is lost.
This probably shouldn't happen. I expect one comment to be submitted and the the other two to stay and wait for submission. (Auto-saving them as drafts would make a lot of people happy about not losing their work. Quora does it.)

We might want to consider some sort of autosaving like phabricator does, it wont solve the issue but it will make the current experience better.

Tracked as T93612: Auto-save post boxes locally

Quiddity renamed this task from Flow: Submitting 1 reply will delete any other reply-text-areas currently open to Flow: Submitting 1 reply will delete any other reply-text-areas currently open in the same Topic.Aug 19 2015, 10:05 PM
Quiddity set Security to None.
Catrope closed this task as Resolved.Aug 19 2015, 11:55 PM
Catrope claimed this task.
Catrope added a subscriber: Catrope.

Fixed by the recent editor rewrite

Catrope reopened this task as Open.Aug 19 2015, 11:56 PM

Sorry -- this wasn't fixed.

+1 to either preventing editing multiple replies at the same time, or to warning the user that other replies in progress will be lost. That is, assuming a full fix is not going to happen soon. Losing data is a really poor user experience and should be fixed right away.

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2018, 7:00 PM
SBisson moved this task from Inbox to Triaged but Future on the Growth-Team board.Jul 20 2018, 5:57 PM

Change 505392 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Flow@master] Autosave comments

https://gerrit.wikimedia.org/r/505392

Change 505392 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Autosave comments

https://gerrit.wikimedia.org/r/505392